## com.fasterxml.jackson.databind
Class JsonSerializer.None

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<Object>
          com.fasterxml.jackson.databind.JsonSerializer.None

Enclosing class:
  JsonSerializer<T>

    public abstract static class JsonSerializer.None

extends JsonSerializer<Object>

This marker class is only to be used with annotations, to indicate that no serializer is configured.

Specifically, this class is to be used as the marker for annotation `JsonSerialize`.

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Constructor Summary
`JsonSerializer.None()`

Method Summary

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`handledType, isEmpty, isUnwrappingSerializer, serialize, serializeWithType, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonSerializer.None

    public JsonSerializer.None()

Copyright © 2012 fasterxml.com. All Rights Reserved.